/* General ----------------------------------------- */

*{
  padding: 0%;
  margin: 0%;
  box-sizing: border-box;
}

:root{
  --color-r-principal:#f22c2c;
  --color-r-principal-bg:#fa4f4f;
  --color-n-principal:#FF6B00;
  --color-black:#121414;
  --color-black-transparente:#1A1A1A;
  --color-white-not-pure:rgb(238, 238, 238);
  --color-shadow-principio:#ccd1d1;
  --color-shadow:#e2e6e6;
}

@font-face {
  font-family: "Inter";
  src: url("../fonts/Inter-VariableFont_opsz,wght.ttf") format("truetype");
}

body{
  font-family: "Inter",sans-serif;
}

.parrafosDescriptivos{font-size: 1.1rem;}
.numeroTelefono{font-size: 1.2rem;}
.imgConvocatoria{width: 35em;}
.btnCerrarDialog{color: var(--color-r-principal);}
.textoCarrusel{text-shadow: 1px 3px 1px var(--color-black);}
.sombra{box-shadow: 0px 0px 20px 2px var(--color-shadow);}
.white{color:var(--color-white-not-pure);}
.white-background{background:var(--color-white-not-pure);}
.red{color:var(--color-r-principal);}
.red-background{background:var(--color-r-principal-bg);}
.black{background:var(--color-black);}
.black-background{background:var(--color-black);}
.orange{color: var(--color-n-principal);}
.orange-background{background: var(--color-n-principal);}
.negrita{font-weight: bold;}
.noList::before{display: none;}

.tooltip{
  --bs-tooltip-bg: var(--color-black-transparente);
  --bs-tooltip-color: var(--bs-white);
}

/* Main index ----------------------------------------- */

#principio{
  box-shadow: 0px 0px 40px 2px var(--color-shadow-principio);
}

/* Efects ----------------------------------------- */
.reveal {
  opacity: 0;
  transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

/* Diferentes tipos de animaciones */
.reveal-left {
  transform: translateX(-100px);
}

.reveal-up {
  transform: translateY(100px);
}

.reveal-down {
  transform: translateY(-100px);
}

.reveal-scale {
  transform: scale(0.8);
}

.reveal.visible {
  opacity: 1;
  transform: translate(0) scale(1);
}

/* Zooms */
.zoomIcons{
  transform: rotate(0deg) scale(1,1);
  transition: transform 1s;
}
.zoomCards:hover .zoomIcons{
  transform: rotate(-10deg) scale(1.2,1.2);
  transition: transform 1s;
}

.zoom{
  transform: scale(1,1);
  transition: transform 1s;
}

.zoom:hover{
  transform: scale(1.1,1.1);
  transition: transform 1s;
}

.zoomCards{
  transform: scale(1,1);
  box-shadow: none;
  transition: transform 1s, box-shadow 1s;
}

.zoomCards:hover{
  transform: scale(1.02,1.02);
  box-shadow: 0px 0px 20px 2px var(--color-shadow);
  transition: transform 1s, box-shadow 0.8s;
}
/* Parte carrusel ----------------------------------------- */

.carruselImagen {
  height: auto;
  width: 100%;
}

.dialog{
  border-radius: 1em 1em 1em 1em;
  border: 0px solid;
}

/* Menu ------------------------------------------------- */

.nav-link.active,
#cursos.active {
  color: var(--color-n-principal) !important;
  font-weight: bold !important;
}

.dropdown-menu .dropdown-link.active {
  color: var(--color-n-principal) !important;
  font-weight: bold !important;
}

#linkAlumno:hover,
.nav-link:hover,
#cursos:hover,
.dropdown-link:hover {
  color: var(--color-n-principal) !important;
}

.nav-item.dropdown.active .nav-link.dropdown-toggle {
  color: var(--color-n-principal) !important;
}

.nav-item.dropdown.active .nav-link.dropdown-toggle::after {
  border-top-color: var(--color-n-principal) !important;
  border-bottom-color: var(--color-n-principal) !important;
}

.dropdown-menu .dropdown-link:hover {
  background-color: transparent !important;
}

.dropdown-menu {
  background-color: rgba(0, 0, 0, 0.9) !important;
}

.dropdown-link {
  color: white !important;
  transition: color 0.2s ease !important;
}

.dropdown-link.active {
  opacity: 0.8;
  cursor: default !important;
}

.nav-link.dropdown-toggle.active,
#cursos.active {
  cursor: pointer !important;
  opacity: 1;
}

.nav-link:focus,
#cursos:focus,
.dropdown-link:focus {
  background-color: transparent !important;
  outline: none !important;
}

/* Formularios ----------------------------------------- */

.btnEnviarFormulario{
  padding: 7px 10px 7px 10px;
  border-radius: 5px 5px 5px 5px;
  border: 0px solid;
  background-color: var(--color-n-principal);
  transition: background-color 0.5s, color 0.5s;
}

.btnBorrarFormulario{
  padding: 7px 10px 7px 10px;
  border-radius: 5px 5px 5px 5px;
  border: 0px solid;
  background-color: var(--color-r-principal);
  transition: background-color 0.5s, color 0.5s;
}
.btnEnviarFormulario:hover{
  padding: 7px 10px 7px 10px;
  border-radius: 5px 5px 5px 5px;
  border: 0px solid;
  background-color: #fc8530;
  transition: background-color 0.5s, color 0.5s;
}

.btnBorrarFormulario:hover{
  padding: 7px 10px 7px 10px;
  border-radius: 5px 5px 5px 5px;
  border: 0px solid;
  background-color: #f04242;
  transition: background-color 0.5s, color 0.5s;
}